using SatelliteProvider.Common.DTO;

namespace SatelliteProvider.Common.Interfaces;

public interface IRegionService
{
    Task<RegionStatusResponse> RequestRegionAsync(Guid id, double latitude, double longitude, double sizeMeters, int zoomLevel, bool stitchTiles = false);
    Task<RegionStatusResponse?> GetRegionStatusAsync(Guid id);
    Task ProcessRegionAsync(Guid id, CancellationToken cancellationToken = default);
}

